List models
curl --request GET \
--url https://edgee.io/v1/models \
--header 'Authorization: Bearer <token>'import requests
url = "https://edgee.io/v1/models"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://edgee.io/v1/models', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "list",
"data": [
{
"id": "openai/gpt-5.2",
"object": "model",
"created": 1677610602,
"owned_by": "openai"
},
{
"id": "anthropic/claude-opus-4-6",
"object": "model",
"created": 1677610602,
"owned_by": "anthropic"
}
]
}{
"error": {
"message": "<string>",
"code": "bad_model_id",
"param": "<string>"
}
}Gateway API
Models
List all available models in the Edgee AI Gateway
GET
/
v1
/
models
List models
Lists the currently available models, and provides basic information about each one such as the owner and availability. Returns only active models.
Authorizations
Query Parameters
Filter models by provider (optional, currently not implemented)
Was this page helpful?
⌘I